#!/bin/sh
# checks the platform

source ./functions.sh

file=$1
if [ ! -f ${file} ]; then
    throw_error "File ${file} to determine platform not found"
fi
platform=`cat ${file} | tr -d '\n\r '`
if [ ${platform} = "armel" ]; then
    if [ -z $(uname -m | egrep -oe 'arm.*') ]; then
        throw_error "Wrong platform package. Install the i386 package instead."
    fi
elif [ ${platform} = "i386" ]; then
    if [ -z $(uname -m | egrep -oe 'i[0-9]{1}86') ]; then
        throw_error "Wrong platform package. Install the armel package instead (e.g. for IPxx10)."
    fi
else 
    throw_error "Unknown platform ${platform}."
fi